import { Deserialize } from "../../app/models/util/deserialize.model";

class Size implements Deserialize {
  sizeX: number;
  sizeY: number;
  sizeZ: number;

  deserialize(input: any): this {
    Object.assign(this, input);
    return this;
  }
}

export class DiscoveryVolumeNamesModel implements Deserialize {
  name: string;
  size: Size;

  deserialize(input: any): this {
    Object.assign(this, input);
    this.size = new Size().deserialize(this.size);
    return this;
  }
}